/**
 * @file
 */

(function ($) {
    'use strict';
    Drupal.behaviors.handsontablecsv = {
        attach: function (context, settings) {

            var renderedTables = $(document).find('.rendered-table.format-csv');

            renderedTables.each(function () {

                var textarea = $(this).parent().find('input[type="hidden"]');
                if ((($(textarea).val()).length > 0) && (($(this).html()) == '')) {
                    var data = Papa.parse($(textarea).val()).data;
                    var header = data[0];
                    var table = new Handsontable(this, {
                        data: data,
                        stretchH: 'all',
                        contextMenu: ['row_above', 'row_below', "---------", 'col_left', 'col_right', "---------", 'remove_row', 'remove_col']
                    });
                    table.updateSettings({
                        afterChange: function (e) {
                            $(textarea).val(Papa.unparse(table.getData()));
                        },
                        afterCreateRow: function (index,amount) {
                            $(textarea).val(Papa.unparse(table.getData()));
                        },
                        afterRemoveCol: function (index,amount) {
                            $(textarea).val(Papa.unparse(table.getData()));
                        },
                        afterRowMove: function (index,amount) {
                            $(textarea).val(Papa.unparse(table.getData()));
                        },
                        afterRemoveRow: function (index,amount) {
                            $(textarea).val(Papa.unparse(table.getData()));
                        },
                        afterCreateCol: function (index,amount) {
                            $(textarea).val(Papa.unparse(table.getData()));
                        }
                    });
                }

            });

        }
    };
}(jQuery));
